Subject: bug#35249: Allow easier customization of message-unique-id

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 13 May 2019 15:48:29 -0400

積丹尼 Dan Jacobson <[email-masked]> writes:

> As concat
>    ".fsf"
> is hardwired into message-unique-id, I had to redefine the entire
> function, just to make that instead into
>      "." (substring (system-name) -1 nil) ".fsf"
> So do consider allowing the user to customize this easier.

I think it's fine to redefine that function if you absolutely have to
have a different Message-ID.  It's not something that any user should
worry or care about, so I don't see any reason to allow customisation
beyond that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no